Jython 2.5.1

Jython 2.5.1 came out a few weeks ago. Heavy work has been done on Jython in the last couple of months, also due to Frank Wierzbicki, who unfortunately left the Jython team at Sun recently.

We regularly look at the state of Jython and, also unfortunately, current qooxdoo (0.8.x) does not work with Jython 2.5.1. The implementation fails at the massive use of regular expressions in our parser. The error reported is a maximum recursion limit exeeded, which seemingly cannot be fixed from within the Python layer (e.g. with sys.setrecursionlimit). So Jython support for qooxdoo is still missing, and qooxdoo users looking at this platform still have to wait.

Comments are closed.